Part Helix/de: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "==Eigenschaften==")
Line 38: Line 38:
* A Part Helix can be used to create screw threads. See [[Thread_for_Screw_Tutorial|Thread for Screw Tutorial]].
* A Part Helix can be used to create screw threads. See [[Thread_for_Screw_Tutorial|Thread for Screw Tutorial]].


== Properties ==
==Eigenschaften==


See also: [[Property_editor|Property editor]].
See also: [[Property_editor|Property editor]].

Revision as of 14:57, 20 April 2022

Part Helix

Menüeintrag
Formteil → Grundkörper erstellen... → Helix
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

Eine Part Helix ist ein parametrischer Volumenkörper, der mit dem Befehl Part Grundelemente erstellt werden kann. Im Koordinatensystem durch ihre Daten-EigenschaftPlacement festgelegt, fluchtet die Achse der Helix mit der Z-Achse und ihr unterer Startpunkt liegt auf der X-Achse.

Anwendung

Siehe Part Grundelemente.

Beispiel

Part-Helix aus dem Skriptbeispiel

Ein Part-Helix-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde, wird hier dargestellt.

Hinweise

Eigenschaften

See also: Property editor.

A Part Helix object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Coordinate System

  • DatenLocal Coord (Enumeration): The handedness, or direction, of the helix: Right-handed or Left-handed. The default is Right-handed, meaning the helix turns counterclockwise as it goes up.

Helix

  • DatenPitch (Length): The distance between two consecutive turns of the helix measured along its Z axis. The default is 1mm.
  • DatenHeight (Length): The height of the helix. The default is 2mm.
  • DatenRadius (Length): The start radius of the helix. The helix has a constant radius if DatenAngle is .
  • DatenSegment Length (QuantityConstraint): The number of turns per helix subdivision. The default is 1, meaning each full turn of the helix is a separate segment. Use 0 to suppress subdivision.
  • DatenAngle (Angle): The angle that defines of the outer shape of the helix. Valid range: -90° < value < 90°. The default is . If it is the helix is cylindrical, else it is conical.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Helix can be created with the addObject() method of the document:

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • Where "myHelix" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()